Bug 454944 - Text represented as squares
Text represented as squares
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
: 432572 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 18:26 EDT by Robert Greimel
Modified: 2009-07-14 13:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output of xmgrace start (164.75 KB, text/plain)
2008-07-15 15:17 EDT, Robert Greimel
no flags Details

  None (edit)
Description Robert Greimel 2008-07-10 18:26:06 EDT
Description of problem:
xmgrace shows all characters (eg. menus, buttons) as squares.

Version-Release number of selected component (if applicable):
5.1.21-9

How reproducible:
always

Steps to Reproduce:
1.start xmgrace
2.
3.
  
Actual results:
all characters are shown as squares

Expected results:
readable text

Additional info:
The Grace FAQ has the following information:

5.11 All of the text in the menus and dialog boxes are represented as squares.

This happens when a Unicode font is picked by the X/Motif and, for a reason, is
treated as a wchar one (so you see one "square" glyph for every two chars). Try
different font settings; for starters, run

        xmgrace -xrm "XMgrace*fontList:fixed"


The workaround listed in the FAQ works. However, one should not have to do this.
This is the first Fedora version where I see this problem. It worked without
problems at least up to Fedora 7 (I skipped Fedora 8).
The link to the type1 fonts from /usr/share/grace/fonts/type1 is OK.
The font xmgrace seems to load (using strace) is
/usr/share/grace/fonts/type1/n021003l.afm
Comment 1 Patrice Dumas 2008-07-10 18:38:17 EDT
That's strange, it works for me (on rawhide), and it seems that
/usr/share/grace/fonts/type1/n021003l.afm and
/usr/share/grace/fonts/type1/n021003l.pfb are used.
Comment 2 Robert Greimel 2008-07-15 15:16:49 EDT
As you say, both the .afm and .pfb are used.
All fonts in /usr/share/fonts/default/Type1 (where /usr/share/grace/fonts/type1
links to) come from the urw-fonts-2.4-5.fc9.noarch package.
The locale used is en_US.utf8 but I do have german keyboard.
Any ideas what I could check ?

I am adding the strace output of a grace start that comes up with all squares
instead of text as an attachment.
Comment 3 Robert Greimel 2008-07-15 15:17:48 EDT
Created attachment 311873 [details]
strace output of xmgrace start
Comment 4 Karl 2008-08-26 18:01:31 EDT
This is a FC9 repeat of Bug 432572 (xorg-x11-fonts-75dpi package corrupts fonts in grace, lesstif), which linked the problem to the 75 dpi fonts installed by that package.  These fonts are required to use EMACS.

If you're like me and you don't use EMACS, you can remove it like so:

yum remove xorg-x11-fonts-75dpi

The menus in Grace will return to their former readable selves after this.  The original bug is still unresolved, and was last updated in May.  Perhaps this will get the ball rolling again!
Comment 5 Patrice Dumas 2008-08-27 10:19:38 EDT
I was unaware about this bug, thanks. Now it may become possible to
reproduce it. however I am very short on time currently, without
internet at home, so I will not be able to take care of this issue
before some time.
Comment 6 Robert Greimel 2008-09-10 05:28:09 EDT
(In reply to comment #4)
> This is a FC9 repeat of Bug 432572 (xorg-x11-fonts-75dpi package corrupts fonts
> in grace, lesstif), which linked the problem to the 75 dpi fonts installed by
> that package.  These fonts are required to use EMACS.
> 
> If you're like me and you don't use EMACS, you can remove it like so:
> 
> yum remove xorg-x11-fonts-75dpi
> 
> The menus in Grace will return to their former readable selves after this.  The
> original bug is still unresolved, and was last updated in May.  Perhaps this
> will get the ball rolling again!

I finally had time to try this and your suggestion of removing xorg-x11-fonts-75dpi (which also removes emacs) works. Grace fonts are readable again. Thanks.

Of course it would be good to fix xorg-x11-fonts-75dpi so that it can work with emacs and xmgrace/lesstif.

Just as a side note, every xmgrace invocation now produces the warning :
Cannot convert string "-*-helvetica-medium-r-normal-*-12-*-*-*-*-*-*-*" to type FontStruct
Comment 7 Karl 2008-09-25 19:01:08 EDT
I was browsing fedoraforum.org and found the following:

http://forumns.fedoraforum.org/forum/showthread.php?t=194538

The solution I like best is to install ALL the X11 fonts (which actually makes the menus in Grace look nicer anyway; it was apparently looking):

yum install xorg-x11-fonts*

This appears to solve the issue without disabling EMACS.  It also gets rid of the missing helvetica-medium-r-normal error message.  The solution to this bug is probably to make whatever font package is missing a prerequisite for installing Grace.
Comment 8 Robert Greimel 2008-09-26 09:03:42 EDT
(In reply to comment #7)
> I was browsing fedoraforum.org and found the following:
> 
> http://forumns.fedoraforum.org/forum/showthread.php?t=194538
> 
> The solution I like best is to install ALL the X11 fonts (which actually makes
> the menus in Grace look nicer anyway; it was apparently looking):
> 
> yum install xorg-x11-fonts*
> 
> This appears to solve the issue without disabling EMACS.  It also gets rid of
> the missing helvetica-medium-r-normal error message.  The solution to this bug
> is probably to make whatever font package is missing a prerequisite for
> installing Grace.

Thanks for this pointer (the URL you gave is misspelled. forumns->forums), but installing all xorg fonts is rather a sledgehammer like approach to the problem. I found that it is enough to install one of the 75dpi xorg-x11-fonts-ISO8859 font packages to make xmgrace display text again while having emacs installed at the same time.

Making xmgrace depend on one of these packages would be an intermediate solution to the problem. However, the only real solution is to find out why xorg-x11-fonts-75dpi causes the problem in the first place.

BTW, I now think that the "cannot convert string" warning is unrelated. It seems to happen after the removal of a font package as long as the X-server has not been restarted.
Comment 9 Patrice Dumas 2008-12-04 15:54:02 EST
*** Bug 432572 has been marked as a duplicate of this bug. ***
Comment 10 Bug Zapper 2009-06-09 22:01:58 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 José Matos 2009-06-18 12:22:19 EDT
This seems to be fixed on F-11. Can anyone confirm this?
Comment 12 Third Time DoesIt 2009-06-23 15:13:54 EDT
June22 Still a problem.  Fresh install of FC11, accepted all 157 updates, installed the gcc and g++ compiler and the ddd debugger. Ran ddd, and all the text was spread out as dots all over the screen.  Button labels, menus, tips, etc. all text was messed up.  From suggestions in other bug rpts (this, 432572, 216160) I installed all the x11 fonts, but that did not change anything.
Comment 13 Bug Zapper 2009-07-14 13:59:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.